/* definitions */
$data-list:
	"50|1-1":"2 Spaltig (1:1)",
	
	"33|1-2":"2 Spaltig (1:2)",
	"33|2-1":"2 Spaltig (2:1)",
	"25|3-1":"2 Spaltig (3:1)",
	"25|1-3":"2 Spaltig (1:3)",
	
	"33|1-1-1":"3 Spaltig (1:1)",
	"25|2-1-1":"3 Spaltig (2:1:1)",
	"25|1-2-1":"3 Spaltig (1:2:1)",
	"25|1-1-2":"3 Spaltig (1:1:2)",
	
	"25|1-1-1-1":"4 Spaltig (1:1)"
;
$data-email-list:
	"50|1-1":"2 Spaltig (1:1)",
	
	"33|1-2":"2 Spaltig (1:2)",
	"33|2-1":"2 Spaltig (2:1)",
	
	"33|1-1-1":"3 Spaltig (1:1)"
;

$data-style-list:
	"":"Auto",
	"b-mc-space-medium":"Space medium",
	"b-mc-space-small":"Space small",
	"b-mc-space-line":"Line",
	"b-mc-space-no":"No space"
;
$data-email-style-list = $data-style-list;

$data-content-height-list:
	"":"Auto",
	"b-mc-height-full":"Full"
;
$data-email-content-height-list = $data-content-height-list;

/* frontend */
.multicolumn {
	display: flex;
	width: 100%;
	flex-direction: row;
	
	@Mobile {
		flex-direction: column;
	}
	
	.col {
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
		
		@Mobile {
			min-width: 100%;
			margin-bottom: look/$spacing-column;
		}
		
		&.col-flex {
			flex: 1 0 auto;
		}
		
		&:last-child {
			@Mobile {
				margin-bottom: 0px;
			}
		}
	}
}

/* make sure that this overrules anything applied by .brick */
.multicolumn.brick { @extend .multicolumn; }


.b-mc-space {
	margin-left: -#{look/$spacing-column};
	margin-right: -#{look/$spacing-column};
	width: auto;
	
	@Mobile {
		margin-left: 0;
		margin-right: 0;
	}
	
	 > .col {
		padding-left: look/$spacing-column;
		padding-right: look/$spacing-column;
		
	
		&:first-child {
			@Mobile {
				margin-top: 0;
			}
		}
		
		&:last-child {
			@Mobile {
				margin-bottom: 0;
			}
		}
		
		@Mobile {
			padding-left: 0;
			padding-right: 0;
			margin-bottom: look/$spacing-column;
			margin-top: look/$spacing-column;
		}
	}
}

.b-mc-space-medium {
	margin-left: -2.5px;
	margin-right: -2.5px;
	width: auto;
	
	@Mobile {
		margin-left: 0;
		margin-right: 0;
	}
	
	> .col {
		padding-left: 2.5px;
		padding-right: 2.5px;
		
	
		&:first-child {
			@Mobile {
				margin-top: 0;
			}
		}
		
		&:last-child {
			@Mobile {
				margin-bottom: 0;
			}
		}
		
		@Mobile {
			padding-left: 0;
			padding-right: 0;
			margin-bottom: 2.5px;
			margin-top: 2.5px;
		}
	}
}

.b-mc-space-small {
	margin-left: -0.5px;
	margin-right: -0.5px;
	width: auto;
	
	@Mobile {
		margin-left: 0;
		margin-right: 0;
	}
	
	> .col {
		padding-left: 0.5px;
		padding-right: 0.5px;
		
	
		&:first-child {
			@Mobile {
				margin-top: 0;
			}
		}
		
		&:last-child {
			@Mobile {
				margin-bottom: 0;
			}
		}
		
		@Mobile {
			padding-left: 0;
			padding-right: 0;
			margin-bottom: 0.5px;
			margin-top: 0.5px;
		}
	}
}

.b-mc-space-no {
	margin-left: 0;
	margin-right: 0;
	width: auto;
	
	> .col {
		padding-left: 0;
		padding-right: 0;
		
		@Mobile {
			padding-left: 0;
			padding-right: 0;
			margin-bottom: 0;
			margin-top: 0;
		}
	}
}

.b-mc-space-line {
	width: auto;
	
	> .col {
		border-left-style: solid;
		border-left-width: 0.5px;
		border-left-color: colors/$grey1;
		border-right-style: solid;
		border-right-width: 0.5px;
		border-right-color: colors/$grey1;
	
		&:first-child {
			border-left-width: 0;
			
			@Mobile {
				border-top-width: 0;
			}
		}
		
		&:last-child {
			border-right-width: 0;
			
			@Mobile {
				border-bottom-width: 0;
			}
		}
		
		@Mobile {
			border-top-style: solid;
			border-top-width: 0.5px;
			border-top-color: colors/$grey1;
			
			border-bottom-style: solid;
			border-bottom-width: 0.5px;
			border-bottom-color: colors/$grey1;
			
			border-left-width: 0;
			border-right-width: 0;
			
			margin-top: 0;
			margin-bottom: 0;
		}
	}
}

.b-mc-height-full > .col > .section {
	height: 100%;
}

.multicolumn-nowrap {
	display: flex;
	flex-direction: row !important;
	
	.col.col-flex {
		flex: 1 0 auto;
	}
	
	.col {
		@Mobile {
			min-width: initial;
			margin-bottom: 0;
		}
	}
}

.mod-row-reverse {
	flex-direction: row-reverse;
}

/* col definitions */
.cols-50 > .col-1 { width: 50%; }
.cols-33 > .col-1 { width: 33.333%; }
.cols-25 > .col-1 { width: 25%; }
.cols-20 > .col-1 { width: 20%; }

.cols-33 > .col-2 { width: 66.666%; }
.cols-25 > .col-2 { width: 50%; }
.cols-20 > .col-2 { width: 40%; }

.cols-25 > .col-3 { width: 75%; }
.cols-20 > .col-3 { width: 60%; }

.cols-20 > .col-4 { width: 80%; }


/* bo */
.bo-multicolumn {
	padding-top: 10px;
	padding-bottom: 10px;
}

.bo-mc-preview-list {
	display: flex;
	flex-wrap: wrap;
	margin: 0 -20px;
	position: relative;
}

.bo-mc-preview-item {
	flex: 1 0 20%;
	max-width: 25%;
	text-align: center;
	padding: 10px 20px;
}

.bo-mc-preview-item .col {
	margin: 2px;
	min-height: 50px;
	background-color: bo-input/$bo-light-2;
}

.bo-multicolumn.b-mc-height-full > .col > * > * > * {
	height: 100%;
}

.fe.box-padding-none {
	padding: 0px;
}
